var autosizerPref = {
  init: function() {
    this.prefs =  Components.classes["@mozilla.org/preferences-service;1"]
		               .getService(Components.interfaces.nsIPrefBranch);
    document.getElementById('minwidth').value       =this.prefs.getIntPref('browser.search.minwidth');
    document.getElementById('maxwidth').value       =this.prefs.getIntPref('browser.search.maxwidth');
    document.getElementById('offset').value         =this.prefs.getIntPref('browser.search.offset'); 
    document.getElementById('cleanOnSubmit').checked=this.prefs.getBoolPref('browser.search.cleanOnSubmit'); 
  },
  
  save: function() {
    this.prefs.setIntPref ('browser.search.minwidth',     document.getElementById('minwidth').value);
    this.prefs.setIntPref ('browser.search.maxwidth',     document.getElementById('maxwidth').value);
    this.prefs.setIntPref ('browser.search.offset',       document.getElementById('offset').value  );  
    this.prefs.setBoolPref('browser.search.cleanOnSubmit',document.getElementById('cleanOnSubmit').checked); 
  }
}
